package com.hzya.frame.u8c.ax.dao.impl;

import com.hzya.frame.sysnew.user.entity.SysUserEntity;
import com.hzya.frame.u8c.ax.dao.IAxDao;
import com.hzya.frame.u8c.ax.entity.ArchivesEntity;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * (BdCorp)表数据库访问层
 *
 * @author makejava
 * @since 2023-09-06 14:47:17
 */
@Repository("axDaoImpl")
public class AxDaoImpl extends MybatisGenericDao<ArchivesEntity, String> implements IAxDao {

    @Override
    public List<ArchivesEntity> queryArchivesData(ArchivesEntity entity) {
        List<ArchivesEntity> o = super.query(getSqlIdPrifx() + "queryArchivesData", entity);
        return o;
    }

    @Override
    public ArchivesEntity saveArchivesByType(ArchivesEntity entity) {
        entity = super.save(getSqlIdPrifx() + "saveArchivesByType", entity);
        return entity;
    }
    @Override
    public Integer updateArchivesByType(ArchivesEntity entity) {
        Integer o = super.update(getSqlIdPrifx() + "updateArchivesByType", entity);
        return o;
    }
    @Override
    public Integer deleteArchivesByType(ArchivesEntity entity) {
        Integer o = super.update(getSqlIdPrifx() + "deleteArchivesByType", entity);
        return o;
    }
}

